
QGIS Application - Bug report #5905

Table of attributes become empty when toggling editing (with a postgis layer)

2012-06-29 09:49 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15353

Description

Open the attached project (alert: the postgis vector in the project is quite big).

Open the table of attributes and then toggle editing. The table become empty, but searches seems to work.

If editing is toggled before opening the table it seems to work fine.

Does not happens if the same vector is saved as shapefile.

Tested on both 1.8 and master.

Associated revisions

Revision 40dc7df7 - 2012-06-29 09:33 PM - Jürgen Fischer

fix #5905

History

#1 - 2012-06-29 11:17 AM - Jürgen Fischer

Doesn't happen without SelectAtId=false either.

#2 - 2012-06-29 12:34 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"40dc7df7d77e93cc862da11750aae774c56479bd".

Files

qgis_test_postgis.qgs 5.5 KB 2012-06-29 Giovanni Manghi

2025-04-26 1/1


